# QSqlQueryModel Class Reference

### [com.trolltech.qt.sql package]

Inherits QAbstractTableModel.

### Constructor

- void QSqlQueryModel(QObject parent)

### Constructor Properties

- prototype: The QSqlQueryModel prototype object

### Prototype Object Properties

The QSqlQueryModel prototype object inherits properties from the QAbstractTableModel prototype object and also has the following properties.

- void clear()
- QSqlError lastError()
- QSqlQuery query()
- QSqlRecord record()
- void setQuery(QSqlQuery query)

### Instance Properties

QSqlQueryModel objects have no special properties beyond those inherited from the QSqlQueryModel prototype object.